// FileButton.java
// Copyright 1996 Netscape Communications Corp.  All rights reserved.
//
// A subclass of Button with a file name string as the title, underneath a
// standard text document image, and otherwise transparent.
//
// Used by FileViewer to display file selection possibilities.

import netscape.application.*;
import netscape.util.*;

public class FileButton extends Button {

    // --------------  Constructors and initialization  --------------

    public FileButton(String filename) {
        super(0, 0, 50, 20);

        int width;
        int height;
        Bitmap bitmap;
        Font font;

        font = new Font("Helvetica", Font.PLAIN, 14);
        bitmap = Bitmap.bitmapNamed("document.gif");

        // Size the view to fit the bitmap and the name string
        width = Math.max(font.fontMetrics().stringWidth(filename),
                         bitmap.width()) + 5;
        height =  bitmap.height() + font.fontMetrics().height() + 5;
        sizeTo(width, height);

        setFont(font);
        setImage(bitmap);
        setAltImage(Bitmap.bitmapNamed("documentH.gif"));
        setTitle(filename);
        setImagePosition(IMAGE_ABOVE);
        setType(TOGGLE_TYPE);
        setTransparent(true);  // Allow the background to show through
    }

}
