// FishIcon.java
// By Ned Etcode
// Copyright 1995, 1996 Netscape Communications Corp.  All rights reserved.

import netscape.application.*;
import netscape.util.*;

public class FishIcon extends IconView {
    Fish     fish;
    String   imagePrefix;      // Stores the image file name prefix
    int      numImages;        // Stores the number of fish images

    /** Our constructor reads in up to numImages gifs, whose names are
      * constructed from the supplied prefix.
      */
    public FishIcon(int x, int y, String imagePrefix, int numImages) {
        super();

        this.imagePrefix = imagePrefix;
        this.numImages = numImages;

        fish = new Fish(imagePrefix, numImages);

        // Now we know how big we need to be (fudge a bit to look good)
        setBounds(x, y, fish.width(), fish.height() + 8);

        setBuffered(true);
    }

    public boolean isTransparent() {
        return true;
    }

    public String imagePrefix() {
        return imagePrefix;
    }

    public int numImages() {
        return numImages;
    }

    /** For static drawing in the palette, just draw the first image
      */
    public void drawView(Graphics g) {
        super.drawView(g);
        fish.drawCentered(g, 0, 0, width(), height());
    }

    public DrawingSequence newSequence() {
        return new Fish(imagePrefix, numImages);
    }
}
