// IconImage.java
// By Ned Etcode
// Copyright 1995, 1996 Netscape Communications Corp.  All rights reserved.

import netscape.application.*;
import netscape.util.*;

/** An Image subclass which draws an IconView.
  */

class IconImage extends Image {
    IconView iconView;

    IconImage(IconView iconView) {
        this.iconView = iconView;
    }

    public int width() {
        return iconView.width();
    }

    public int height() {
        return iconView.height();
    }

    public void drawAt(Graphics g, int x, int y) {
        boolean wasHighlighted = iconView.isHighlighted;

        g.pushState();
        g.translate(x, y);
        iconView.isHighlighted = false;
        iconView.drawView(g);
        iconView.isHighlighted = wasHighlighted;
        g.popState();
    }

    public void drawScaled(Graphics g, int x, int y, int width, int height) {
        drawAt(g, x, y);
    }
}
