// PlantIcon.java
// By Ned Etcode
// Copyright 1995, 1996 Netscape Communications Corp.  All rights reserved.

import netscape.application.*;
import netscape.util.*;

/** See Plant.java for more information on creating amd drawing the polygons
  * representing the kelp-like plant strands.
  */
public class PlantIcon extends IconView {
    Polygon  polygons[];        // Polygons used for drawing

    public PlantIcon(int x, int y) {
        super();

        int i, j, dy;
        double r;

        setBounds(x, y, 24, 70);
        polygons = new Polygon[3];
        dy = height() / 10;

        // Create the lines representing the strands of the plant
        // Start at the bottom and add a gradually increasing randomness
        // at each point, in the x dimension
        for (i = 0; i < 3; i++) {
            polygons[i] = new Polygon();
            for (j = 0; j < 10; j++) {
                r = 1.0 - Math.random() * 2.0;
                polygons[i].addPoint(12 + (int)(12.0 * r * (double)j / 9.0),
                                     height() - dy * j);
            }
        }

        setBuffered(true);
    }

    public boolean isTransparent() {
        return true;
    }

    /** For static drawing in the palette
      */
    public void drawView(Graphics g) {
        int i;

        super.drawView(g);

        g.setColor(Color.green);
        for (i = 0; i < 3; i++)
            g.drawPolygon(polygons[i]);
    }

    public DrawingSequence newSequence() {
        return new Plant();
    }
}
